LIBRARY = libUtility.a#
OBJS = Utility.o

CC = i586-mingw32msvc-g++
AR = i586-mingw32msvc-ar
RM = /bin/rm -f

CFLAGS = -Wall -O2 -mms-bitfields $(FLAGS)
ARFLAGS = rc

all: $(OBJS)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS)

%.o: %.cpp %.h Utility.h
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) *~ *.o $(LIBRARY)

